Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.owscommon_1_1_0
Class BasicIdentification

    java.lang.Object
      org.deegree.owscommon_1_1_0.DescriptionBase
          org.deegree.owscommon_1_1_0.BasicIdentification

    public class BasicIdentification

extends DescriptionBase

`BasicIdentification` is a bean representation of a basicIdentification type, which can be used for identifying and describing a set of data. Defined in ows 1.1.0.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $

Constructor Summary
`BasicIdentification(List<String> title, List<String> abstracts, List<Keywords> keywords, Pair<String,String> identifier, List<Metadata> metadatas)`

Method Summary
`Pair<String,String>` | `getIdentifier()`
`List<Metadata>` | `getMetadatas()`

Methods inherited from class org.deegree.owscommon_1_1_0.DescriptionBase
`getAbstracts, getKeywords, getTitles`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicIdentification

    public BasicIdentification(List<String> title,
                               List<String> abstracts,
                               List<Keywords> keywords,
                               Pair<String,String> identifier,
                               List<Metadata> metadatas)

Parameters:
  `keywords` -
  `abstracts` -
  `title` -
  `identifier` - a < value, codeSpace > pair
  `metadatas` - a list of metadatas

Method Detail

### getIdentifier

    public final Pair<String,String> getIdentifier()

  Returns:
    the identifier < value, codeSpace > pair, may be `null`

### getMetadatas

    public final List<Metadata> getMetadatas()

  Returns:
    the metadatas may be empty but never `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org